<main class="container index">
	<h2>Général</h2>
	<p>La propriété « transition » est une propriété apparu dans le CSS3 avec de nombreuses autres comme transform, translate… Toutes ces nouveautés permettent de facilité l’animation et d’alléger les sites en utilisant le CSS au lieu du JavaScript pour les animations.</p>
	<h2>Utilisation</h2>
	<p>L’attribut transition doit-être appliqué sur l’objet qui effectue l’animation et non sur le déclencheur (pas sur .madiv:hover par exemple). Il s’applique à un tous les déclencheurs (hover, active, checked…)</p>
	<p>Transition accepte plusieurs attributs :</p>
	<ul>
		<li>Propriété à prendre en compte (ou all)</li>
		<li>La durée de l’animation (en secondes)</li>
		<li>Le type de courbe de l’animation (fluidité et accélération)</li>
		<li>Le délai, temps avant que l’animation se déclenche (en secondes)</li>
	</ul>
	<h2>Cas Particuliers</h2>
	<p>Différentes propriétés avec des animations différentes peuvent se concaténées en ajoutant une virgule entre chaque :</p>
	<code>transition : font-size 2s ease, width .5s linear</code>
</main>